edu.isi.pegasus.planner.dax

## Enum Profile.NAMESPACE

- java.lang.Object
- - java.lang.Enum<Profile.NAMESPACE>
  - - edu.isi.pegasus.planner.dax.Profile.NAMESPACE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Profile.NAMESPACE>

Enclosing class:
  Profile

    public static enum Profile.NAMESPACE
    extends java.lang.Enum<Profile.NAMESPACE>

Supported NAMESPACES.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`condor`
`CONDOR`
`dagman`
`DAGMAN`
`env`
`ENV`
`globus`
`GLOBUS`
`hints`
`HINTS`
`pegasus`
`PEGASUS`
`selector`
`SELECTOR`
`stat`
`STAT`

### Method Summary

All Methods Static Methods Concrete Methods
`static Profile.NAMESPACE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Profile.NAMESPACE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONDOR

    public static final Profile.NAMESPACE CONDOR

#### condor

    public static final Profile.NAMESPACE condor

#### PEGASUS

    public static final Profile.NAMESPACE PEGASUS

#### pegasus

    public static final Profile.NAMESPACE pegasus

#### DAGMAN

    public static final Profile.NAMESPACE DAGMAN

#### dagman

    public static final Profile.NAMESPACE dagman

#### GLOBUS

    public static final Profile.NAMESPACE GLOBUS

#### globus

    public static final Profile.NAMESPACE globus

#### HINTS

    public static final Profile.NAMESPACE HINTS

#### hints

    public static final Profile.NAMESPACE hints

#### SELECTOR

    public static final Profile.NAMESPACE SELECTOR

#### selector

    public static final Profile.NAMESPACE selector

#### STAT

    public static final Profile.NAMESPACE STAT

#### stat

    public static final Profile.NAMESPACE stat

#### ENV

    public static final Profile.NAMESPACE ENV

#### env

    public static final Profile.NAMESPACE env

### Method Detail

#### values

    public static Profile.NAMESPACE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Profile.NAMESPACE c : Profile.NAMESPACE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Profile.NAMESPACE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null